| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
cv::QRCodeDetectorAruco::Params Struct Reference

`#include <opencv2/objdetect.hpp>`

Collaboration diagram for cv::QRCodeDetectorAruco::Params:

## Public Member Functions
| Params ()

## Public Attributes
float | maxColorsMismatch
| The maximum allowed relative color mismatch in the timing pattern, default 0.2f.
float | maxModuleSizeMismatch
| The maximum allowed relative mismatch in module sizes for finder patterns in the same QR code, default 1.75f.
float | maxPenalties
| The maximum allowed percentage of penalty points out of total pins in timing pattern, default 0.4f.
float | maxRotation
| The maximum allowed relative rotation for finder patterns in the same QR code, default pi/12.
float | maxTimingPatternMismatch
| The maximum allowed module relative mismatch for timing pattern module, default 2.f.
float | minModuleSizeInPyramid
| The minimum allowed pixel size of a QR module in the smallest image in the image pyramid, default 4.f.
float | scaleTimingPatternScore
| The algorithm find QR codes with almost minimum timing pattern score and minimum size, default 0.9f.

## Constructor & Destructor Documentation

## ◆ Params()

cv::QRCodeDetectorAruco::Params::Params | ( |  | ) |

## Member Data Documentation

## ◆ maxColorsMismatch

float cv::QRCodeDetectorAruco::Params::maxColorsMismatch

The maximum allowed relative color mismatch in the timing pattern, default 0.2f.

## ◆ maxModuleSizeMismatch

float cv::QRCodeDetectorAruco::Params::maxModuleSizeMismatch

The maximum allowed relative mismatch in module sizes for finder patterns in the same QR code, default 1.75f.

## ◆ maxPenalties

float cv::QRCodeDetectorAruco::Params::maxPenalties

The maximum allowed percentage of penalty points out of total pins in timing pattern, default 0.4f.

## ◆ maxRotation

float cv::QRCodeDetectorAruco::Params::maxRotation

The maximum allowed relative rotation for finder patterns in the same QR code, default pi/12.

## ◆ maxTimingPatternMismatch

float cv::QRCodeDetectorAruco::Params::maxTimingPatternMismatch

The maximum allowed module relative mismatch for timing pattern module, default 2.f.

If relative mismatch of timing pattern module more this value, penalty points will be added. If a lot of penalty points are added, QR code will be rejected.

## ◆ minModuleSizeInPyramid

float cv::QRCodeDetectorAruco::Params::minModuleSizeInPyramid

The minimum allowed pixel size of a QR module in the smallest image in the image pyramid, default 4.f.

## ◆ scaleTimingPatternScore

float cv::QRCodeDetectorAruco::Params::scaleTimingPatternScore

The algorithm find QR codes with almost minimum timing pattern score and minimum size, default 0.9f.

The QR code with the minimum "timing pattern score" and minimum "size" is selected as the best QR code. If for the current QR code "timing pattern score" * scaleTimingPatternScore < "previous timing pattern score" and "size" < "previous size", then current QR code set as the best QR code.

The documentation for this struct was generated from the following file:

- opencv2/objdetect.hpp